Loading...
Searching...
No Matches
BALL::VIEW::AtomOverview::OverviewProcessor Class Reference

`#include <BALL/VIEW/DIALOGS/atomOverview.h>`

Inheritance diagram for BALL::VIEW::AtomOverview::OverviewProcessor:

## Public Member Functions

| OverviewProcessor ()
| OverviewProcessor (const OverviewProcessor &model_processor)
virtual | ~OverviewProcessor ()
Processor::Result | operator() (Composite &composite)
void | setTable (QTableWidget *widget)
void | showOnlySelection (bool state)
Public Member Functions inherited from BALL::UnaryProcessor< Composite >
| UnaryProcessor ()
| UnaryProcessor (const UnaryProcessor &)
virtual | ~UnaryProcessor ()
virtual bool | start ()
virtual bool | finish ()

## Protected Attributes

QTableWidget * | table_
bool | only_selection_

## Additional Inherited Members

Public Types inherited from BALL::UnaryFunctor< ArgumentType, ResultType >
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer

## Detailed Description

Definition at line 41 of file atomOverview.h.

## Constructor & Destructor Documentation

## OverviewProcessor() [1/2]

BALL::VIEW::AtomOverview::OverviewProcessor::OverviewProcessor | ( |  | ) |

## OverviewProcessor() [2/2]

BALL::VIEW::AtomOverview::OverviewProcessor::OverviewProcessor | ( | const OverviewProcessor & | model_processor | ) |

## ~OverviewProcessor()

virtual BALL::VIEW::AtomOverview::OverviewProcessor::~OverviewProcessor | ( |  | ) |

virtual

## Member Function Documentation

## operator()()

Processor::Result BALL::VIEW::AtomOverview::OverviewProcessor::operator() | ( | Composite & |  | ) |

virtual

operator ()

Reimplemented from BALL::UnaryProcessor< Composite >.

## setTable()

void BALL::VIEW::AtomOverview::OverviewProcessor::setTable | ( | QTableWidget * | widget | ) |

inline

Definition at line 61 of file atomOverview.h.

## showOnlySelection()

void BALL::VIEW::AtomOverview::OverviewProcessor::showOnlySelection | ( | bool | state | ) |

inline

Definition at line 64 of file atomOverview.h.

## Member Data Documentation

## only_selection_

bool BALL::VIEW::AtomOverview::OverviewProcessor::only_selection_

protected

Definition at line 69 of file atomOverview.h.

## table_

QTableWidget* BALL::VIEW::AtomOverview::OverviewProcessor::table_

protected

Definition at line 68 of file atomOverview.h.